
ChiliProject - Bug # 463: REST API does not accept Basic HTTP auth when running through Apache 
mod_proxy

Status: Closed Priority: Normal
Author: Alexey Java Category: Documentation
Created: 2011-06-10 Assignee:
Updated: 2011-12-18 Due date:
Remote issue URL: http://www.redmine.org/issues/8590
Affected version:
Description: see this thread: http://www.redmine.org/boards/2/topics/16770?r=24559

one of Redmine Java API users has complained that valid login&password are not accepted in 
RedmineManager()

Associated revisions
2011-12-18 07:30 pm - Holger Just 
[#463] Pass through Basic Auth in an FCGI setup

History
2011-09-23 08:08 pm - Holger Just
- (deleted custom field) set to http://www.redmine.org/issues/8590

- Category set to Documentation

A working rewrite rule for fcgi is

 RewriteCond %{REQUEST_FILENAME} !-f
RewriteRule ^(.*)$ dispatch.fcgi [E=X-HTTP_AUTHORIZATION:%{HTTP:Authorization},QSA,L]

2011-12-18 06:34 pm - Holger Just
- Target version set to 2.6.0

- Status changed from Open to Closed

The example htaccess was updated in commit:6c69081.

Note however, that FCGI is not recommended as an application server. Please use a Rack server like "Passenger":http://modrails.com, 
"Thin":http://code.macournoyer.com/thin/, or "Unicorn":http://unicorn.bogomips.org/ instead.

2020-10-25 1/1


